/****************************************************************************************
*	AETEGizmo.r
*
*	Copyright  1998 Red Shed Software. All rights reserved.
*	by Jonathan 'Wolf' Rentzsch (jon@redshed.net)
*
*	Commenter	Date				Comment
*	---------	-----------------	-----------------------------------------------------
*	wolf		Wed, Jun 17, 1998	Created.
*	
****************************************************************************************/

#include	"AETEGizmo.h"
#include	"wolf.h"

resource 'BNDL' (kBNDLID, purgeable) {
	kApplSignature, 0, {
		'ICN#', {	0, kApplIconSuite },
		'FREF', {	0, kApplIconSuite,
					1, kWILDFREFID
		}
	}
};
resource 'FREF' (kAPPLFREFID, purgeable) {	'APPL', 0, "" };
resource 'FREF' (kWILDFREFID, purgeable) {	'****', 0, "" };

resource 'vers' (1, purgeable) {											//	this file version
	0x01,																	//	major BCD
	0x00,																	//	minor BCD
	final,																	//	release
	0x00,																	//	Non-final release
	verUS,																	//	region
	kApplShortVersion,														//	short version number
	kApplName " " kApplShortVersion ",  1998 Jonathan Wolf Rentzsch",	//	version mesage ("Version:..." field in Get Info)
};

resource 'vers' (2, purgeable) {	//	set of files version
	0x01,							//	major BCD
	0x00,							//	minor BCD
	final,							//	release
	0x00,							//	Non-final release
	verUS,							//	region
	kApplShortVersion,				//	short version number
	"AE->AEGizmo build string",		// version mesage (below file icon in Get Info)
};

/****************************************************************************************
*	
*	Menus
*	
****************************************************************************************/

resource 'MBAR' (kMenuBar) {
	{ kAppleMenu, kFileMenu, kEditMenu }
};

resource 'MENU' (kAppleMenu) {
	kAppleMenu,
	textMenuProc,
	0b11111111111111111111111111111101,
	enabled,
	apple, {
		"About " kApplName "...",	noIcon, noKey, nomark, plain;
		"-",						noIcon, noKey, noMark, plain;
	}
};

resource 'MENU' (kFileMenu) {
	kFileMenu,
	textMenuProc,
	0b11111111111111111111111111111111,
	enabled,
	"File", {
		"Quit",			noIcon, "Q", nomark, plain
	}
};

resource 'MENU' (kEditMenu) {
	kEditMenu,
	textMenuProc,
	0b11111111111111111111111100000000,
	enabled,
	"Edit", {
		"Undo",			noIcon, "Z", nomark, plain;
		"-",			noIcon, noKey, noMark, plain;
		"Cut",			noIcon, "X", noMark, plain;
		"Copy",			noIcon, "C", noMark, plain;
		"Paste",		noIcon, "V", noMark, plain,
		"Clear",		noIcon, noKey, noMark, plain;
		"-",			noIcon, noKey, noMark, plain;
		"Select All",	noIcon, "A", noMark, plain
	}
};

/****************************************************************************************
*	
*	Scripting
*	
****************************************************************************************/

resource 'scsz'	(0, purgeable)	{
	readExtensionTerms,
	findAppBySignature,
	dontAlwaysSendSubject,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	0,
	0,
	0,
	0,
	0,
	0,
};