//============================================================================
// COutlineTable.h		1997 Metrowerks Inc. All rights reserved
// Original author: John C. Daub
//============================================================================
//	Subclass and concrete instantiation of LOutlineTable


#pragma once

#include <LOutlineTable.h>
#include <LCommander.h>

class COutlineTable : public LOutlineTable,
						public LCommander {

public:

			enum { class_ID = 'Cout' };


								COutlineTable( LStream *inStream );
		virtual					~COutlineTable();



protected:

		virtual	void			FinishCreateSelf();


private:

				// defensive programming
				
								COutlineTable();
								COutlineTable( const COutlineTable &inOriginal );
			COutlineTable&		operator=( const COutlineTable &inOriginal );

};