// Program Author: Paul Baxter
//	pbaxter@assistivetech.com
//
//

#include <Speech.h>
#include <Ctype.h>
#include <DeskBus.h>
#include <Retrace.h>

#include "filter.h"
#include "adb.h"
#include "pref.h"

#include "globals.h"
#include "speech.h"
#include "about.h"

// * ****************************************************************************** *
// * 	DoAboutBox
// * 			Do an about box
// * ****************************************************************************** *
void DoAboutBox(void)
{
	short item;
	StringHandle theString;
	
	theString = GetString(kSpeakAboutID);
	if (theString) {
		HLock((Handle)theString);
		if (gSpeechChannel) {
			SpeakText(gSpeechChannel, &((*theString)[1]), (*theString)[0]);
		}
		HUnlock((Handle)theString);
	}
	item = NoteAlert(kAboutAlertID, nil);
}
