// Program Author: Paul Baxter
//	pbaxter@assistivetech.com
//
//

#include <Speech.h>
#include <Ctype.h>
#include <DeskBus.h>
#include <Retrace.h>

#include "filter.h"
#include "adb.h"
#include "speech.h"
#include "pref.h"
#include "globals.h"

// Globals
Boolean gQuitting = false;								// quit flag
Ptr gCharBuffer = nil;									// buffer with chars to speak
Ptr gWordBuffer = nil;									// buffer with words to speak
Ptr gSentenceBuffer = nil;								// buffer with sentences to speak
short gCharIndex = 0;									// num chars in char buffer
short gWordIndex = 0;									// num chars in word buffer
short gSentenceIndex = 0;								// num chars in sentence buffer
Ptr gFilterProc = nil;									// address of filter proc
QHdr gForwardedEvents = {0, 0, 0};						// Que to foward key events to our app
ProcessSerialNumber gPSN = {0 , 0};						// serial number of our app
ADBServiceRoutineUPP gKeyBoardServiceRoutine = nil;		// our ADB Service routine
ADBServiceRoutineUPP gOldKeyBoardServiceRoutine = nil;	// original Service routine pointer
ADBAddress gKeyBoardADBAddress = -1;					// ADB address of the keyboard
SpeechChannel gSpeechChannel = nil;						// our speech channel
short gVoiceItem = -1;									// menu item of current voice
Boolean gLastSpeechChar = false;						// flag for where the last spoken text came from
KeyPronunciation* gPronounce = nil;						// pronunciation of chars
long gNumPronounces = 0;								// number of pronunciations
Boolean gShiftState = false;							// is the shift key down?
PrefHandle gPrefs = nil;								// handle to our prefs
short gPronounceIndex[kNumKeys];						// indexs into speech strings
