// Program Author: Paul Baxter pbaxter@assistivetech.com
// This program may be freely distributed.
//
//

extern	long 		LowMemCurA5 : 0x0904;

// We are using Far Data, Far Method Tables, Far Strings and Large Code model
// so we don't need A5
// To be compatable with Macsbug we can not use A5

/*
#define EnterAppCallBack()			unsigned long saveA5; saveA5 = SetCurrentA5()
#define	ExitAppCallBack()			SetA5(saveA5)

#define AsmEnterAppCallBack			movem.l A5,-(SP);	move.l	LowMemCurA5,A5
#define AsmExitAppCallBack			movem.l (SP)+,A5
*/

#define EnterAppCallBack()			
#define	ExitAppCallBack()			
#define AsmEnterAppCallBack
#define AsmExitAppCallBack

#define kNumKeys		128

typedef struct {
	char keyCode;
	char align;
	Str31 pronounciation;
	Str31 shiftpronounciation;
} KeyPronunciation;


extern Boolean gQuitting;
extern Ptr gCharBuffer;
extern Ptr gWordBuffer;
extern Ptr gSentenceBuffer;
extern short gCharIndex;
extern short gWordIndex;
extern short gSentenceIndex;
extern Ptr gFilterProc;
extern QHdr gForwardedEvents;
extern ProcessSerialNumber gPSN;
extern SpeechChannel gSpeechChannel;
extern short gVoiceItem;
extern Boolean gLastSpeechChar;
extern Ptr gASCIIChars;
extern KeyPronunciation* gPronounce;
extern long gNumPronounces;
extern ADBServiceRoutineUPP gKeyBoardServiceRoutine;
extern ADBAddress gKeyBoardADBAddress;
extern PrefHandle gPrefs;
extern short gPronounceIndex[];
extern Boolean gShiftState;