// Program Author: Paul Baxter 
//	pbaxter@assistivetech.com
//

// buffer sizes
#define kSentenceBuffSize	10240
#define kWordBuffSize		2048
#define kCharBuffSize		1024
#define kDelete				0x08
#define kPowerKey			0x7F
#define kCommandKey			0x37

#define kNumKeyCodes		128
#define kDownState			0x00
#define kDepressedMask		0x80
#define kKeyCodeMask		0x7F

extern void SpeakChars(void);
extern void SpeakWords(void);
extern void SpeakSentences(void);
extern void AppendCharBuffer(char theChar);
extern void AppendWordBuffer(char theChar);
extern void AppendSentenceBuffer(char theChar);
extern Boolean InitBuffers(void);
extern void KillBuffers(void);
extern void InitSpeechStrings(void);
extern void SpeakBuffers(void);
