//============================================================================
// CEditItem.h			1997 Metrowerks Inc. All rights reserved
// Original author: John C. Daub
//============================================================================

#pragma once

#include <LEditableOutlineItem.h>
#include <LInPlaceEditField.h>
#include <LListener.h>
#include <LString.h>


class CEditItem : public LEditableOutlineItem,
					public LListener {


public:

							CEditItem();
			virtual			~CEditItem();


		virtual	void	StartInPlaceEdit( const STableCell &inCell );
		
protected:

		virtual void			GetDrawContentsSelf(
									const STableCell&		inCell,
									SOutlineDrawContents&	ioDrawContents);

		virtual	void			ListenToMessage( MessageT inMessage, void *ioParam );

				LStr255			mText;
			LInPlaceEditField	*mEditField;
};

