unit globals;

interface

uses
	Menus,
	Events,
	QuickDraw,
	Controls;

const
	FATAL_ALERT_ID=2000;
	FATAL_ALERT_TEXT_ID=2000;
	MENU_BAR_ID=1000;
	ABOUT_BOX_ID=1000;
	
	ABOUT_TITLE_DEEP_ID=1010;
	ABOUT_TITLE_BW_ID=1011;
	COPYR_DEEP_ID=1021;
	COPYR_BW_ID=1021;
	ABOUT_ICON_DEEP_ID=1000;
	ABOUT_ICON_MASK_ID=1001;
	ABOUT_ICON_BW_ID=1002;
	
	NEED_APPEARANCE=1;
	
	APPLE_MENU=1000;
	FILE_MENU=1001;
	EDIT_MENU=1002;
	
	EVENT_DELAY=15;
	
	APPLE_ABOUT=1;
	FILE_CLOSE=1;
	FILE_QUIT=3;
	EDIT_UNDO=1;
	EDIT_CUT=3;
	EDIT_COPY=4;
	EDIT_PASTE=5;
	EDIT_CLEAR=6;
	
	OK_BUTTON=1;
	ABOUT_ICON_UI=2;
	ABOUT_TITLE_UI=3;
	COPYR_UI=4;
	
	WINDOW_HEIGHT=264;
	WINDOW_WIDTH=384;
	LEFT_PANE_WIDTH=77;
	
	BUTTON_TOP=14;
	BUTTON_LEFT=11;
	BUTTON_HEIGHT=40;
	BUTTON_WIDTH=52;
	BUTTON_SPACE=30;
	
	PANE_BOMB=1;
	PANE_CLUSTER=2;
	
type
	PrefsType=record
		style:integer;
		frequency:integer;
	end;
			
var
	gQuitNow:boolean;
	gInForeground:boolean;
	gPaneState:integer;
	
	gAppleMenuH:MenuHandle;
	gFileMenuH:MenuHandle;
	gEditMenuH:MenuHandle;
	
	gEr:EventRecord;
	
	gMainWindow:WindowPtr;
	
	gBombButton:ControlHandle;
	gClusterButton:ControlHandle;
	gTypePopUp:ControlHandle;
	gPreviewButton:ControlHandle;
	gFreqPopUp:ControlHandle;
	
	gThePrefs:PrefsType;
	
	
procedure InitGlobals;

implementation

procedure InitGlobals;
begin
	gQuitNow:=false;
	gInForeground:=true;
	gPaneState:=PANE_BOMB;
	
	with gThePrefs do begin
		style:=1;
		frequency:=1;
	end;
	
end;

end.