#if 1

#include <Movies.h>
//#include <MovieController.h>
#include <Fonts.h>
#include <Resources.h>
#include <MacMemory.h>
#include <Sound.h>
#include <Timer.h>
#include <Gestalt.h>

#include "Maynard.h"
//#include "ComplexStreams.h"
//#include "MPEGStreams.h"

///=============================================================================
			
extern Component RegisterTVMediaHandlerComponent(void);
//		extern Component RegisterMPEGSystemComponent(void);
//		extern Component RegisterMPEGVideoComponent(void);
//		extern Component RegisterMPEGAudioComponent(void);
//extern Component RegisterMPEGPlanarYCbCrCodec(void);
extern Component RegisterTVImport(void);

extern Component RegisterWiredComponent(void);
extern Component RegisterWiredVComponent(void);

///-----------------------------------------------------------------------------

static OSErr LoadComponents(void);

///-----------------------------------------------------------------------------

static pascal Boolean MCActionFilter(
  MovieController mc, short action, void *params, long refcon);

static MCActionFilterWithRefConUPP sgMCActionFilterUPP;

///=============================================================================

Movie             m1    =NULL;
ComponentInstance mc1   =NULL;
Boolean           fDone1=FALSE;

///=============================================================================

void main(void)
{
	OSErr             error;

	StandardFileReply reply;
	SFTypeList        types;
	short             resFref;

	WindowPtr         w;
WindowPtr         w2;
	Rect              bounds;
//	TimeValue         time = 0;
	Rect              maxBounds = {40, 40, 1000, 1000};

	InitGraf(&qd.thePort);
	InitFonts();
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs(0L);
	InitCursor();
	MaxApplZone();

	EnterMovies();
	sgMCActionFilterUPP=NewMCActionFilterWithRefConProc(MCActionFilter);
	if(sgMCActionFilterUPP==NULL) return;

	error=LoadComponents();
	if(error!=noErr) return;

	types[0] = MovieFileType;
	StandardGetFilePreview(nil, 1, types, &reply);
	if (!reply.sfGood) return;

//	SetRect(&bounds, 75, 75, 75+160,75+120);
	MacSetRect(&bounds, 11, 41, 11+160, 41+120);
	w=NewCWindow(NULL, &bounds, reply.sfFile.name, FALSE, 0, 
	  STATIC_CAST(WindowPtr, -1), TRUE, 0);
	if(w==NULL) return;
w2=NewCWindow(NULL, &bounds, reply.sfFile.name, FALSE, 0, 
  STATIC_CAST(WindowPtr, -1), TRUE, 0);
if(w2==NULL) return;

	AlignWindow(w, FALSE, NULL, NULL);
	MacSetPort(w);

	error=OpenMovieFile(&reply.sfFile, &resFref, fsRdPerm);
	if(error!=noErr) return;

	error=NewMovieFromFile(&m1, resFref, NULL, NULL,
	  newMovieActive, NULL);
	if(error!=noErr) return;

	CloseMovieFile(resFref);

	GetMovieBox(m1, &bounds);
	MacOffsetRect(&bounds, -bounds.left, -bounds.top);
	SetMovieBox(m1, &bounds);

	mc1 = NewMovieController(m1, &bounds, mcTopLeftMovie);
	MCGetControllerBoundsRect(mc1, &bounds);
	MCDoAction(mc1, mcActionSetKeysEnabled, (void *)1);
	MCSetActionFilterWithRefCon(mc1, sgMCActionFilterUPP, (long)w);
//	SetMPEGPrefs(m1);
	
	MCDoAction(mc1, mcActionSetGrowBoxBounds, &maxBounds);
	MCDoAction(mc1, mcActionSetLooping, 
      REINTERPRET_CAST(void*, TRUE) );
//	MCDoAction(mc, mcActionSetLoopIsPalindrome, 
//	  REINTERPRET_CAST(void*, TRUE) );

	SizeWindow(w, bounds.right, bounds.bottom, FALSE);
/*
#if WIRED && SHIFT_IMAGE_FOR_TESTING
SizeWindow(w, bounds.right*2+10, bounds.bottom, false); //FAKE!!!
#endif
*/

//SetMovieRate(m1, kfxOne);

	MacShowWindow(w);
SizeWindow(w2, bounds.right, bounds.bottom, FALSE);
MacShowWindow(w2);

	while(fDone1==false){
		EventRecord theEvent;
//		TimeValue   nextTime;
//		Boolean     eventAvail;

		WaitNextEvent(everyEvent, &theEvent, 0, NULL);

		if( mc1 && MCIsPlayerEvent(mc1, &theEvent) )
			continue;

		switch(theEvent.what){
		case mouseDown:{
			WindowPtr whichWindow;
			short     part;

			part=MacFindWindow(theEvent.where, &whichWindow);
			switch(part){
			case inGoAway:
				if(whichWindow==w){
					fDone1=TrackGoAway(whichWindow, theEvent.where);
				}
			break;
			case inDrag:	
				DragAlignedWindow(whichWindow, theEvent.where,
				  &qd.screenBits.bounds, nil, nil);
				break;
			}
			}break;

		case updateEvt:
			UpdateMovie(m1);
			BeginUpdate((WindowPtr)theEvent.message);
			EndUpdate((WindowPtr)theEvent.message);
			break;
		}
	}

	DisposeMovieController(mc1); mc1=NULL;
	DisposeMovie(m1);            m1 =NULL;
	DisposeWindow(w);

	DisposeRoutineDescriptor(sgMCActionFilterUPP);
}
///=============================================================================

pascal Boolean MCActionFilter(MovieController mc, short action, void *params, 
  long refcon)
{
#pragma unused(params)

	if(action==mcActionControllerSizeChanged){
		Rect bounds;

		MCGetControllerBoundsRect(mc, &bounds);
		SizeWindow( (GrafPort*)refcon, bounds.right, bounds.bottom, FALSE );
	}

	return false;
}
///=============================================================================

OSErr LoadComponents(void)
{
	Component c;

	c=RegisterTVMediaHandlerComponent();
	if(c==NULL) return 1;

 	c=RegisterTVImport();
	if(c==NULL) return 6;

	return noErr;
}
///=============================================================================

#endif //!STREAM